# 1. HA with a public network topology (default)
# See: https://github.com/kubernetes/kops/blob/master/docs/aws.md#create-cluster-configuration
# -----------------------------------------------------------
. 00-env.sh && kops create cluster \
    --name $KOPS_CLUSTER_NAME \
    --zones $KOPS_CLUSTER_ZONES \
    --cloud $KOPS_CLOUD_PROVIDER \
    --node-size $KOPS_NODE_SIZE \
    --master-size $KOPS_MASTER_SIZE \
    --spotinst-cloud-provider $SPOTINST_CLOUD_PROVIDER \
    --kubernetes-version $KUBERNETES_VERSION \
    --yes


# 2. HA with a private network topology
# See: https://github.com/kubernetes/kops/blob/master/docs/topology.md
# -----------------------------------------------------------
# . 00-env.sh && kops create cluster \
#     --name $KOPS_CLUSTER_NAME \
#     --zones $KOPS_CLUSTER_ZONES \
#     --cloud $KOPS_CLOUD_PROVIDER \
#     --node-size $KOPS_NODE_SIZE \
#     --master-size $KOPS_MASTER_SIZE \
#     --spotinst-cloud-provider $SPOTINST_CLOUD_PROVIDER \
#     --kubernetes-version $KUBERNETES_VERSION \
#     --topology private \
#     --networking calico \
#     --yes

# 3. HA with a private network topology + Bastion
# See: https://github.com/kubernetes/kops/blob/master/docs/bastion.md
# -----------------------------------------------------------
# . 00-env.sh && kops create cluster \
#     --name $KOPS_CLUSTER_NAME \
#     --zones $KOPS_CLUSTER_ZONES \
#     --cloud $KOPS_CLOUD_PROVIDER \
#     --node-size $KOPS_NODE_SIZE \
#     --master-size $KOPS_MASTER_SIZE \
#     --spotinst-cloud-provider $SPOTINST_CLOUD_PROVIDER \
#     --kubernetes-version $KUBERNETES_VERSION \
#     --topology private \
#     --networking calico \
#     --bastion \
#     --yes
